#!/usr/bin/env perl
use v5.16;
use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile(
  NAME         => 'KorAP::XML::OffsetChecker',
  AUTHOR       => 'Nils Diewald',
  ABSTRACT     => 'Check anf fix offsets in KorAP-XML files',
  VERSION_FROM => 'script/korapxml_offset_checker',
  LICENSE      => 'freebsd',
  PREREQ_PM => {
    'Mojolicious'           => 9.22,
    'File::Copy::Recursive' => 0,
    'Test::Script'          => 0
  },
  MIN_PERL_VERSION => '5.016',
  test => {
    TESTS => 't/*.t'
  },
  EXE_FILES => ['script/korapxml_offset_checker'],
  META_MERGE   => {
    'meta-spec' => { version => 2 },
    requires  => { perl => '5.016' },
    resources => {
      license     => 'https://opensource.org/licenses/BSD-2-Clause'
    }
  }
);
